Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOFatalInternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOFatalException
                          javax.jdo.JDOFatalInternalException

All Implemented Interfaces:
  java.io.Serializable

    public class JDOFatalInternalException

extends JDOFatalException

This class represents errors in the implementation for which no user error handling is possible. The error should be reported to the JDO vendor for corrective action.

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`JDOFatalInternalException()` Constructs a new `JDOFatalInternalException` without a detail message.
`JDOFatalInternalException(java.lang.String msg)` Constructs a new `JDOFatalInternalException` with the specified detail message.
`JDOFatalInternalException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDOFatalInternalException` with the specified detail message and failed object.
`JDOFatalInternalException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDOFatalInternalException` with the specified detail message and nested `Throwable`s.
`JDOFatalInternalException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOFatalInternalException` with the specified detail message and nested `Throwable`s.
`JDOFatalInternalException(java.lang.String msg, java.lang.Throwable[] nested, java.lang.Object failed)` Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.
`JDOFatalInternalException(java.lang.String msg, java.lang.Throwable nested, java.lang.Object failed)` Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOFatalInternalException

    public JDOFatalInternalException()

  Constructs a new `JDOFatalInternalException` without a detail message.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg)

  Constructs a new `JDOFatalInternalException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg,
                                     java.lang.Throwable[] nested)

  Constructs a new `JDOFatalInternalException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg,
                                     java.lang.Throwable nested)

  Constructs a new `JDOFatalInternalException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg,
                                     java.lang.Object failed)

  Constructs a new `JDOFatalInternalException` with the specified detail message and failed object.

  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg,
                                     java.lang.Throwable[] nested,
                                     java.lang.Object failed)

  Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.
    `failed` - the failed object.

### JDOFatalInternalException

    public JDOFatalInternalException(java.lang.String msg,
                                     java.lang.Throwable nested,
                                     java.lang.Object failed)

  Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.
    `failed` - the failed object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.